Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class DragDetectEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.MouseEvent
                  org.eclipse.swt.events.DragDetectEvent

public class DragDetectEvent
extends MouseEvent

Instances of this class are sent as a result of a drag gesture.

Since:
  1.3
See Also:
  `DragDetectListener`, Serialized Form

Field Summary
`static int` `DRAG_DETECT`

Fields inherited from class org.eclipse.swt.events.MouseEvent
`button, MOUSE_DOUBLE_CLICK, MOUSE_DOWN, MOUSE_UP, stateMask, time, x, y`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`DragDetectEvent(Control control)`
`DragDetectEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`static void` `addListener(Adaptable adaptable, DragDetectListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, DragDetectListener listener)`

Methods inherited from class org.eclipse.swt.events.MouseEvent
`addListener, removeListener, toString`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DRAG_DETECT

    public static final int DRAG_DETECT

See Also:
  Constant Field Values

Constructor Detail

### DragDetectEvent

    public DragDetectEvent(Control control)

### DragDetectEvent

    public DragDetectEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `MouseEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `MouseEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `MouseEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   DragDetectListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      DragDetectListener listener)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.